package org.xdoclet.plugin.beaninfo.qtags;

/**
 * Defines the icons used for the visual aspect of the JavaBean.
 */
public interface JavabeanIconsTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Absolute or relative resource name for the monochrome icon of 16x16 pixels
     */
    String getMono16();

    /**
     * Absolute or relative resource name for the color icon of 16x16 pixels
     */
    String getColor16();

    /**
     * Absolute or relative resource name for the monochrome icon of 32x32 pixels
     */
    String getMono32();

    /**
     * Absolute or relative resource name for the color icon of 32x32 pixels
     */
    String getColor32();

}
