package org.xdoclet.plugin.beaninfo.qtags;

/**
 * Defines for each JavaBean method its parameters
 */
public interface JavabeanParameterTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Name of the parameter
     *
     * @qtags.required
     */
    String getName_();

    /**
     * The name displayed for the parameter
     *
     */
    String getDisplayName();

    /**
     * A short description about the parameter
     *
     */
    String getShortDescription();

    /**
     * Fully qualified class name of the PropertyEditor used to edit the parameter
     *
     */
    String getEditor();

}
