package org.xdoclet.plugin.ejb.qtags;

/**
 * The method is a call to a data access object; the method will be included in
 * the DAO interface, and the EJB's generated subclass will contain a call to
 * the DAO's method.
 */
public interface DaoCallTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Optionally specify the method's name in the DAO (it
     * need not be the same as the calling method in the EJB).
     * If not specified, the default is the usual interface
     * equivalent of the method's name (i.e. generally the
     * same, but ejbFindByX becomes findByX etc.)
     *
     */
    String getName_();

}
