package org.xdoclet.plugin.ejb.qtags;

/**
 * The method is an ejbCreate method and will be included in the home
 * interface. It is applicable to Session and Entity beans. In Stateless Session
 * beans the ejbCreate will be created if it is not in the code.
 */
public interface EjbCreateMethodTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Optionally specify which view-type the method will be exposed in.
     *
     * @qtags.allowed-value local
     * @qtags.allowed-value remote
     */
    String getViewType();

}
