package org.xdoclet.plugin.ejb.qtags;

/**
 * Defines configuration attributes used for data object generation. Applicable only for
 * Entity beans.
 */
public interface EjbDataObjectTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Declare which class the generated bulk data class should
     * extend. Default is "java.lang.Object". The class must be
     * java.io.Serializable. This is useful if you want to add some
     * methods that should always be available in bulk data objects.
     *
     */
    String getExtends();

}
