package org.xdoclet.plugin.ejb.qtags;

/**
 * Use this for methods with the following pattern: public abstract Foo getX().
 * This will denote the persistent field "X" as a primary key field, which will
 * be included in the generated primary key class. Must be used with the
 * persistent-field tag. This tag is only valid for EntityBeans. It has no
 * parameters.
 */
public interface EjbPkFieldTag extends com.thoughtworks.qdox.model.DocletTag {
}
