package org.xdoclet.plugin.ejb.qtags;

/**
 * Defines a security role reference with the name role-name to a security
 * role link named role-link.
 */
public interface EjbSecurityRoleRefTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * The name of the role reference
     *
     * @qtags.required
     */
    String getRoleName();

    /**
     * The name of the role link.
     *
     * @qtags.required
     */
    String getRoleLink();

}
