package org.xdoclet.plugin.ejb.qtags;

/**
 * Defines a select method. This tag is placed on the ejbSelect methods.
 */
public interface EjbSelectTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * EJB-QL query for the select method.
     *
     * @qtags.required
     */
    String getQuery();

    /**
     * Result type mapping for the select method.
     *
     * @qtags.allowed-value none
     * @qtags.allowed-value Local
     * @qtags.allowed-value Remote
     */
    String getResultTypeMapping();

}
