package org.xdoclet.plugin.externalizer.qtags;


/**
 * this tag on member level declares message property fro bundle
 * @author Konstantin Pribluda
 */
public interface MsgMessageTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * message text in configured locale
     * @qtags.required
     */
    String getMsg();

    /**
     * language of this message
     */
    String getLang();

    /**
     * country of this message
     */
    String getCountry();

    /**
     * variant of this message
     */
    String getVariant();
}
