package org.xdoclet.plugin.externalizer;

import org.generama.MetadataProvider;
import org.generama.tests.AbstractPropertyGeneratingPluginTestCase;
import org.xdoclet.QDoxMetadataProvider;

import java.io.IOException;
import java.io.Reader;
import java.net.URL;

public abstract class AbstractLocaleBundleTestBase extends AbstractPropertyGeneratingPluginTestCase {
    protected MetadataProvider createMetadataProvider() throws IOException {
        URL reader = getResourceRelativeToThisPackage("test/TestMessages.java");
        return new QDoxMetadataProvider(reader);
    }
}