package org.xdoclet.plugin.externalizer;

import org.generama.MetadataProvider;
import org.generama.Plugin;
import org.generama.VelocityTemplateEngine;
import org.generama.WriterMapper;
import org.xdoclet.QDoxMetadataProvider;

import java.net.URL;

public class VariantLocaleBundleTest extends AbstractLocaleBundleTestBase {
    protected URL getExpected() throws Exception {
        return this.getResourceRelativeToThisPackage("test/TestMessages_de_DE_he.properties");
    }

    protected Plugin createPlugin(MetadataProvider metadataProvider,
                                          WriterMapper writerMapper)
            throws Exception {
        MessageBundlePlugin mbp = new MessageBundlePlugin(new VelocityTemplateEngine(), (QDoxMetadataProvider) metadataProvider,
                writerMapper);
        mbp.setLang("de");
        mbp.setCountry("DE");
        mbp.setVariant("he");
        return mbp;
    }
}