/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;

import org.xdoclet.plugin.hibernate.qtags.parameter.Cascade;
import org.xdoclet.plugin.hibernate.qtags.parameter.OuterJoin;
import org.xdoclet.plugin.hibernate.qtags.parameter.Lazy;
import org.xdoclet.plugin.hibernate.qtags.parameter.BatchSize;
import org.xdoclet.plugin.hibernate.qtags.parameter.OrderBy;
import org.xdoclet.plugin.hibernate.qtags.parameter.Schema;
import org.xdoclet.plugin.hibernate.qtags.parameter.Table;
import org.xdoclet.plugin.hibernate.qtags.parameter.Where;

/**
 * base interface defining fields common for hibernate collections
 * @qtags.ignore
 */
public interface BaseCollectionTag extends com.thoughtworks.qdox.model.DocletTag,
         Cascade, OuterJoin, Lazy, BatchSize, OrderBy, Schema, Table, Where {
}
