/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;

import org.xdoclet.plugin.hibernate.qtags.parameter.Column;
import org.xdoclet.plugin.hibernate.qtags.parameter.Length;
import org.xdoclet.plugin.hibernate.qtags.parameter.Type;
import org.xdoclet.plugin.hibernate.qtags.parameter.UnsaveValue;

/**
 * Declares an identifier property
 * @qtags.location method
 * @qtags.location field
 */
public interface HibernateIdTag extends com.thoughtworks.qdox.model.DocletTag , 
	Column, Length, Type, UnsaveValue {
 
    /**
     * The key generator class
     *
     * @qtags.required
     * @qtags.allowed-value uuid.hex
     * @qtags.allowed-value uuid.string
     * @qtags.allowed-value increment
     * @qtags.allowed-value assigned
     * @qtags.allowed-value native
     * @qtags.allowed-value identity
     * @qtags.allowed-value sequence
     * @qtags.allowed-value hilo
     * @qtags.allowed-value seqhilo
     * @qtags.allowed-value foreign
     */
    String getGeneratorClass();
}
