/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;


/**
 * Enables caching
 * @qtags.location method
 */
public interface HibernateJcsCacheTag
        extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Defines the cache semantics
     *
     * @qtags.required
     * @qtags.allowed-value read-write
     * @qtags.allowed-value nonstrict-read-write
     * @qtags.allowed-value read-only
     */
    String getUsage();
}
