/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */


package org.xdoclet.plugin.hibernate.qtags;

import org.xdoclet.plugin.hibernate.qtags.parameter.Column;
import org.xdoclet.plugin.hibernate.qtags.parameter.OuterJoin;
import org.xdoclet.plugin.hibernate.qtags.parameter.ForeignKey;

/**
 * Many to many association. This tag declares the entity-class
 * element type of a collection and specifies a many-to-many relational model
 * @author Konstantin Pribluda
 * @qtags.location method
 * @qtags.location field
 * @qtags.once
 */
public interface HibernateManyToManyTag
        extends com.thoughtworks.qdox.model.DocletTag, Column, OuterJoin, ForeignKey {
    /**
     * @qtags.required
     */
    String getClass_();
}
