/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;

import org.xdoclet.plugin.hibernate.qtags.parameter.Cascade;
import org.xdoclet.plugin.hibernate.qtags.parameter.Clazz;
import org.xdoclet.plugin.hibernate.qtags.parameter.Column;
import org.xdoclet.plugin.hibernate.qtags.parameter.Insert;
import org.xdoclet.plugin.hibernate.qtags.parameter.NotNull;
import org.xdoclet.plugin.hibernate.qtags.parameter.OuterJoin;
import org.xdoclet.plugin.hibernate.qtags.parameter.Unique;
import org.xdoclet.plugin.hibernate.qtags.parameter.Update;

/**
 * Declares a many-to-one association.  
 * @qtags.location method
 * @author Konstantin Pribluda
 * @version $Revision: 1.10 $
 */
public interface HibernateManyToOneTag
        extends com.thoughtworks.qdox.model.DocletTag, Unique, OuterJoin, Cascade,
        NotNull, Insert, Update, Column, Clazz {
}
