/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;

import org.xdoclet.plugin.hibernate.qtags.parameter.Name;
import org.xdoclet.plugin.hibernate.qtags.parameter.DiscriminatorValue;
import org.xdoclet.plugin.hibernate.qtags.parameter.DynamicInsert;
import org.xdoclet.plugin.hibernate.qtags.parameter.DynamicUpdate;
import org.xdoclet.plugin.hibernate.qtags.parameter.Proxy;

/**
 * Declare the current class as subclass
 * @qtags.location class
 */
public interface HibernateSubclassTag
        extends com.thoughtworks.qdox.model.DocletTag, DiscriminatorValue, DynamicInsert, DynamicUpdate, Proxy, Name {
    /**
     * which class we extends. strictly speaking not necessary, hibernate will imply direct superclass
     */
    String getExtends();
}
