/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;


/**
 * Declares a version property
 * @qtags.location class
 */
public interface HibernateVersionTag
        extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * The name of a column holding the version number
     */
    String getColumn();

    /**
     * The Hibernate type
     *
     * @qtags.allowed-value integer
     * @qtags.allowed-value short
     * @qtags.allowed-value long
     * @qtags.allowed-value timestamp
     * @qtags.allowed-value calendar
     */
    String getType();
}
