/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;


/**
 * @qtags.ignore
 */
public interface InvertibleCollectionTag extends BaseCollectionTag {
    /**
     * if this collection is inverse. Inverse mean that changes on this side of
	 * association will not trigger database operations. in case fo bidirectional
	 * many-to-many association one of the sides shall be declared as inverse to 
	 * prtevent strange databse behaviour. ( double inserts )  
     */
    Boolean getInverse();
}
