/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags.parameter;

/**
 * @author Konstantin Pribluda
 * @version $Revision: 1.5 $
 */
public interface Cascade {
    /**
     * Specifies which operations should be cascaded from the parent object to the associated object
     *
     * @qtags.allowed-value all
     * @qtags.allowed-value none
     * @qtags.allowed-value save-update
     * @qtags.allowed-value delete
     * @qtags.allowed-value all-delete-orphan
     * @qtags.allowed-value delete-orphan
     */
    String getCascade();
}
