package org.xdoclet.plugin.hibernate;

import org.generama.MetadataProvider;

import org.xdoclet.QDoxMetadataProvider;

import java.io.File;
import java.io.IOException;

import java.net.URL;

public class CompositeIdTestCase
        extends AbstractHibernateMappingTestCase {
    protected URL getExpected() throws IOException {
        return getResourceRelativeToThisPackage("compositeId/CompositeIdBean.hbm.xml");
    }

    protected MetadataProvider createMetadataProvider()
            throws IOException {
        String basedir = System.getProperty("xdoclet.hibernate.home");

        assertNotNull(basedir);

        return new QDoxMetadataProvider(new File(basedir,
                                                 "target/test-classes/org/xdoclet/plugin/hibernate/compositeId"));
    }
}
