/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate;

import org.generama.MetadataProvider;
import org.xdoclet.QDoxMetadataProvider;

import java.io.IOException;
import java.net.URL;

public class ListTestCase extends  AbstractHibernateMappingTestCase {
	
    protected URL getExpected() throws IOException {
        return getResourceRelativeToThisPackage("pojo/ListMapping.hbm.xml");
    }

    protected MetadataProvider createMetadataProvider()
            throws IOException {
        URL reader = getResourceRelativeToThisPackage(
                "pojo/ListMapping.java");

        return new QDoxMetadataProvider(reader);
    }

}
