/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate;

import java.io.File;
import java.io.IOException;
import java.net.URL;

import org.generama.MetadataProvider;
import org.xdoclet.QDoxMetadataProvider;

public class SubclassTestCase extends AbstractHibernateMappingTestCase {
    protected URL getExpected() throws IOException {
        return getResourceRelativeToThisPackage("subclass/Root.hbm.xml");
    }

    protected MetadataProvider createMetadataProvider() throws IOException {
        String basedir = System.getProperty("xdoclet.hibernate.home");
        assertNotNull(basedir);
        return new QDoxMetadataProvider(new File(basedir, "target/test-classes/org/xdoclet/plugin/hibernate/subclass"));
    }

}
