package org.xdoclet.plugin.jmx.qtags;

/**
 * Defines a jmx managed constructor.
 */
public interface JmxManagedConstructorTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Specifies a description for the constructor.
     *
     */
    String getDescription();

    /**
     * If we are generating a JBoss *-service.xml file, if the * matches the parameter value this constructor will be used with the managed-parameter values provided.
     *
     */
    String getServicefile();

}
