package org.xdoclet.plugin.jmx.qtags;

/**
 * The jmx.mlet-entry tag allows you to specify entries for a generated mlet.
 */
public interface JmxMletEntryTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Specifies the ARCHIVE property for an mlet configuration.
     *
     */
    String getArchive();

    /**
     * Specifies the path to the package for the mbean class.
     *
     */
    String getCodebase();

}
