package org.xdoclet.plugin.portlet;

import java.util.Collection;

import org.generama.JellyTemplateEngine;
import org.generama.WriterMapper;
import org.generama.Plugin;
import org.xdoclet.QDoxMetadataProvider;
import org.xdoclet.plugin.portlet.qtags.TagLibrary;

public class PortletXmlPlugin extends Plugin {

    private PortletUtils portletUtils;

    public PortletXmlPlugin(JellyTemplateEngine jellyTemplateEngine, QDoxMetadataProvider metadataProvider, WriterMapper writerMapper)
            throws Exception {
        super(jellyTemplateEngine, metadataProvider, writerMapper);

        // Generate only one file from all the scanned java sources
        setMultioutput(false);
        portletUtils = new PortletUtils();
        setMultioutput(false);
        setFilereplace("portlet.xml");

        // Register the tags used by this plugin
        new TagLibrary(metadataProvider);
    }

    public String getTime() {
        return new java.util.Date().toString();
    }

    public PortletUtils getPortletUtils() {
        return portletUtils;
    }
}