package org.xdoclet.plugin.portlet.qtags;

import com.thoughtworks.qdox.model.DocletTag;

/**
 * Defines a portlet initialization parameter.
 */
public interface PortletPortletInitParamTag extends DocletTag {
  /**
   * The parameter name.
   * 
   * @qtags.required
   */
  String getName_();
  
  /**
   * The parameter value.
   * 
   * @qtags.required
   */
  String getValue_();
  
  /**
   * The parameter description.
   */
  String getKeywords();
}
