package org.xdoclet.plugin.portlet.qtags;

import com.thoughtworks.qdox.model.DocletTag;

/**
 * Assigns a preferences validator to a portlet.
 */
public interface PortletPreferencesValidatorTag extends DocletTag {
  /**
   * The fully-qualified class name of the class that implements
   * javax.portlet.PreferencesValidator.
   *
   * @qtags.required
   */
  String getValidatorClass();
}
