package org.xdoclet.plugin.qtags.qtags;

import com.thoughtworks.qdox.model.DocletTag;

/**
 * class level tag to specify that marked interface shall be not generated
 * itself. ( But methods will be used ) This is necessary to allow tag interface inheritance. ( For example,
 * hibernate has shitload of collection tags which  share a lot of common parameters. )
 * @qtags.location class
 * @qtags.once
 */
public interface QtagsIgnoreTag extends DocletTag {
}
