package org.xdoclet.plugin.qtags.qtags;

import com.thoughtworks.qdox.model.DocletTag;
/**
 * class level tag to specify allowed locations. this tag cab ne used only on class level to specify
 * locations where usage is allowed. Recognized values are "class" "method" "constructor" "field"
 * @qtags.location class
 * @qtags.allowed-value class
 * @qtags.allowed-value method
 * @qtags.allowed-value constructor 
 * @qtags.allowed-value field 
 */
public interface QtagsLocationTag extends DocletTag {
}
