package org.xdoclet.plugin.qtags.xdoc;

import org.generama.JellyTemplateEngine;
import org.generama.MetadataProvider;
import org.generama.WriterMapper;
import org.generama.Plugin;
import org.xdoclet.plugin.qtags.QTagUtils;

/**
 * @author Aslak Helles&oslash;y
 * @version $Revision: 1.9 $
 */
public class QTagXDocPlugin extends Plugin {
    private String namespace;
    private QTagUtils qTagUtils = new QTagUtils();

    public QTagXDocPlugin(JellyTemplateEngine jellyTemplateEngine, MetadataProvider metadataProvider,
                          WriterMapper writerMapper) {
        super(jellyTemplateEngine, metadataProvider, writerMapper);

        setFilereplace("qtags.xml");
        setMultioutput(false);
    }

    public boolean shouldGenerate(Object metadata) {
        return qTagUtils.shouldGenerate(metadata);
    }

    public QTagUtils getQTagUtils() {
        return qTagUtils;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }
}
