package org.xdoclet.plugin.web.qtags;

/**
 * Declares init parameters for the Validator
 * with the specified parameter name, value and description
 */
public interface JspValidatorInitParamTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * The name of the validator init param
     *
     * @qtags.required
     */
    String getName_();

    /**
     * The value of the validator init param
     *
     * @qtags.required
     */
    String getValue_();

    /**
     * An optional description for the validator
     *
     */
    String getDescription();

}
