package org.xdoclet.plugin.web.qtags;

/**
 * Declares init parameters for the Filter with
 * the specified parameter name, value and description. Applicable
 * to Servlet 2.3 only.
 */
public interface WebFilterInitParamTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * The name of the init parameter
     *
     * @qtags.required
     */
    String getName_();

    /**
     * The value for the parameter
     *
     */
    String getValue_();

    /**
     * An optional description of the parameter
     *
     */
    String getDescription();

}
