package org.xdoclet.plugin.web.qtags;

/**
 * Defines the mapping for the Filter. Either
 * url-pattern or servlet-name should be specified. Applicable to
 * Servlet 2.3 only
 */
public interface WebFilterMappingTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * The url pattern the filter should match
     *
     */
    String getUrlPattern();

    /**
     * The servlet name for the filter
     *
     */
    String getServletName();

}
