package org.xdoclet.plugin.webwork.qtags;

public interface WebworkActionTag extends com.thoughtworks.qdox.model.DocletTag {
	/**
	* webwork action name
	* @qtags.required
	*/
	String getName_();
	/**
	* error view mapping declaration
	*/
	String getError();	
	/**
	* success view mapping declaration
	*/
	String getSuccess();
	/**
	* input view mapping declaration
	*/
	String getInput();
	
	/**
	* comma separated list of additional forwards in form forward_name=view_mapping
	*/
	String getForwards();
	
}