package org.xdoclet.sampleapp.web;

import org.xdoclet.sampleapp.web.Guestbook;

import javax.servlet.ServletContextListener;
import javax.servlet.ServletContextEvent;

/**
 * Initializes a Guestbook object.
 *
 *
 * @web.listener
 *   order="5"
 *
 * @author     <a href="mailto:greg_greg@freestart.hu">Gr&eacute;gory Joseph</a>
 * @author     $Author: moinsmoins $ (last edit)
 * @version    $Revision: 1.1 $
 */
public class GuestbookInitializer implements ServletContextListener {

    public void contextInitialized(ServletContextEvent event) {
        event.getServletContext().setAttribute("xdoclet.web.gbook", new Guestbook());
    }

    // TODO : persist the guestbook
    public void contextDestroyed(ServletContextEvent event) {
        //Guestbook gb = (Guestbook) event.getServletContext().getAttribute("xdoclet.web.gbook");

    }

}
