package org.xdoclet.testapp.web;

import javax.servlet.Filter;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;

/**
 * Just like the SuperFilter, we don't want an abstract filter to be in the
 * generated web.xml
 * (This one doesn't implemented the doFilter method.
 *
 * @web.filter
 *     display-name="Abstract Filter"
 *     name="AbstractFilter"
 *
 * @author     <a href="mailto:greg_greg@freestart.hu">Grgory Joseph</a>
 * @author     $Author: rinkrank $ (last edit)
 * @version    $Revision: 1.2 $
 */
public abstract class AbstractFilter implements Filter {
    public void destroy() {
        // do some stuff
    }

    public void init(FilterConfig filterConfig) throws ServletException {
        // do some other stuff
    }
}
