package org.xdoclet.testapp.web;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

/**
 * A listener that actually implements ServletContextListener
 * but has no web.listener tag. Should appear in the generated web.xml
 *
 * @author     <a href="mailto:greg_greg@freestart.hu">Grgory Joseph</a>
 * @author     $Author: rinkrank $ (last edit)
 * @version    $Revision: 1.2 $
 */
public class TaglessListener implements ServletContextListener {
    public void contextDestroyed(ServletContextEvent event) {
    }

    public void contextInitialized(ServletContextEvent event) {
    }
}
