package org.xdoclet.testapp.web;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import java.io.IOException;

/**
 * A third filter class, to test order of the filters.
 * This one has no name nor order attribute, it will be sorted last.
 *
 * @web.filter
 *     name="ThirdFilter"
 *     display-name="Third Filter"
 *     description="My 3rd filter is really cool"
 *
 * @web.filter-mapping
 *     servlet-name="/third"
 *
 * @author     <a href="mailto:greg_greg@freestart.hu">Grgory Joseph</a>
 * @author     $Author: rinkrank $ (last edit)
 * @version    $Revision: 1.2 $
 */
public class ThirdFilter implements Filter {
    public void destroy() {
    }

    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
    }

    public void init(FilterConfig filterConfig) throws ServletException {
    }


}
