package org.xdoclet.plugin.beaninfo.qtags;

/**
 * Defines the attributes of the JavaBean element (propertyorder, etc).
 */
public interface JavabeanAttributeTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Name of the attribute
     *
     * @qtags.required
     */
    String getName_();

    /**
     * Value of the attribute
     *
     * @qtags.required
     */
    String getValue_();

    /**
     * Is the value a Java expression?
     *
     * @qtags.allowed-value true
     * @qtags.allowed-value false
     */
    boolean isRtexprvalue();

}
