package org.xdoclet.plugin.ejb.qtags;

/**
 * Declare in which interface (local/remote) this method must appear. If the
 * view-type parameter is absent then the method will be added to whatever
 * component interfaces are defined in @ejb.bean.
 */
public interface EjbInterfaceMethodTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Optionally specify which view-type the
     * method will be exposed in. The value
     * "local" or "both" is only applicable to
     * EJB 2.0 beans.
     *
     * @qtags.allowed-value local
     * @qtags.allowed-value remote
     * @qtags.allowed-value both
     */
    String getViewType();

}
