package org.xdoclet.plugin.ejb.qtags;

/**
 * Generate remote facade class for entity beans.
 * This class will provide convenient view on session bean
 * and perform all the necesary lookups.
 * Session Bean methods marked with @ejb.facade-method
 * will be included and transparently proxied.
 * Generated class name will follow pattern: {0}Remote
 */
public interface EjbRemoteFacadeTag extends com.thoughtworks.qdox.model.DocletTag {
}
