package org.xdoclet.plugin.externalizer;

import org.generama.MetadataProvider;
import org.generama.Plugin;
import org.generama.VelocityTemplateEngine;
import org.generama.WriterMapper;
import org.xdoclet.QDoxMetadataProvider;

import java.net.URL;

public class DefaultLocaleBundleTest extends AbstractLocaleBundleTestBase {
    protected URL getExpected() throws Exception {
        return this.getResourceRelativeToThisPackage("test/TestMessages.properties");
    }

    protected Plugin createPlugin(MetadataProvider metadataProvider,
                                  WriterMapper writerMapper)
            throws Exception {
        return new org.xdoclet.plugin.externalizer.MessageBundlePlugin(new VelocityTemplateEngine(), (QDoxMetadataProvider) metadataProvider,
                writerMapper);
    }
}