package org.xdoclet.plugin.externalizer;


import org.generama.MetadataProvider;
import org.generama.Plugin;
import org.generama.VelocityTemplateEngine;
import org.generama.WriterMapper;
import org.xdoclet.AbstractJavaGeneratingPluginTestCase;
import org.xdoclet.QDoxMetadataProvider;

import java.io.IOException;
import java.net.URL;

/**
 * @author Konstantin Pribluda
 * @version $Revision: 1.5 $
 */

public class PropertiesTranslatorTestCase extends AbstractJavaGeneratingPluginTestCase {
    protected Plugin createPlugin(MetadataProvider metadataProvider, WriterMapper writerMapper) throws Exception {
        return new PropertiesTranslatorPlugin(new VelocityTemplateEngine(), (QDoxMetadataProvider) metadataProvider, writerMapper);
    }

    protected URL getTestSource() throws IOException {
        return getResourceRelativeToThisPackage("test/TestMessages.java");
    }

    protected URL getExpected() throws IOException {
        return this.getResourceRelativeToThisPackage("test/TestMessagesTranslator.java");
    }

}
