/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;


/**
 * Defines a collection with a bag semantic. It's like list, but does not need explicit
 * indexing column. This tag requires bag element definition ( one of the following tags:
 *  <a href="#@hibernate.element">\@hibernate.element</a> , 
 * @qtags.location method
 * @qtags.location field
 * @qtags.once
 */
public interface HibernateBagTag extends InvertibleCollectionTag {
}
