/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;

import org.xdoclet.plugin.hibernate.qtags.parameter.Length;
import org.xdoclet.plugin.hibernate.qtags.parameter.NotNull;
import org.xdoclet.plugin.hibernate.qtags.parameter.Unique;
import org.xdoclet.plugin.hibernate.qtags.parameter.Column;

/**
 * Declares the element type of a collection of basic ( primitive ) type
 * @qtags.location method
 * @author Konstantin Pribluda
 */
public interface HibernateElementTag
        extends com.thoughtworks.qdox.model.DocletTag, Length, NotNull, Unique, Column {

    /**
     * The Hibernate type
     *
     * @qtags.required
     */
    String getType();

}
