/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;


/**
 * Declares many-to-many collection index. Will be used as map key for ternary associations. Shall be entity?
 * @qtags.location class
 */
public interface HibernateIndexManyToManyTag
        extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Entity to be used as key in the ternary association maps
     *
     * @qtags.required
     */
    String getClass_();

    /**
     * The name of the mapped database table column
     *
     * @qtags.required
     */
    String getColumn();
}
