/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;

import org.xdoclet.plugin.hibernate.qtags.parameter.Column;
import org.xdoclet.plugin.hibernate.qtags.parameter.ForeignKey;

/**
 * Declares a collection key. Strictly specking this tag is not necessary, as hibernate 
 * will make a guess and produce some obscure column name for you. Collection key defined which column in 
 * resulting table is to be used as reference to id of owner entity. 
 * @qtags.location method
 */
public interface HibernateKeyTag
        extends com.thoughtworks.qdox.model.DocletTag, Column, ForeignKey {

}
