/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;


/**
 * Defines meta attributes.
 * @qtags.location method
 */
public interface HibernateMetaTag extends SortedCollectionTag {
    /**
     * attribute name
     * @qtags.required
     */
    String getAttribute();

    /**
     * inheritance of attribute
     * @qtags.default true
     */
    boolean isInherit();

    /**
     * value of attribute
     */
    String getValue_();

}
