/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;

import org.xdoclet.plugin.hibernate.qtags.parameter.Cascade;
import org.xdoclet.plugin.hibernate.qtags.parameter.Clazz;
import org.xdoclet.plugin.hibernate.qtags.parameter.ForeignKey;
import org.xdoclet.plugin.hibernate.qtags.parameter.OuterJoin;
import org.xdoclet.plugin.hibernate.qtags.parameter.PropertyRef;

/**
 * Declares a one-to-one association
 * @qtags.location method
 */
public interface HibernateOneToOneTag
        extends com.thoughtworks.qdox.model.DocletTag, OuterJoin, Cascade, Clazz,
        ForeignKey, PropertyRef {
    /**
     * Is there a foreign key constraint
     */
    Boolean isConstrained();
}
