/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;

import org.xdoclet.plugin.hibernate.qtags.parameter.Column;
import org.xdoclet.plugin.hibernate.qtags.parameter.Insert;
import org.xdoclet.plugin.hibernate.qtags.parameter.Length;
import org.xdoclet.plugin.hibernate.qtags.parameter.NotNull;
import org.xdoclet.plugin.hibernate.qtags.parameter.Type;
import org.xdoclet.plugin.hibernate.qtags.parameter.Unique;
import org.xdoclet.plugin.hibernate.qtags.parameter.Update;
import org.xdoclet.plugin.hibernate.qtags.parameter.Index;
import org.xdoclet.plugin.hibernate.qtags.parameter.Formula;

/**
 * Defines persisten hibernate  property
 * @qtags.location field
 * @qtags.location method
 * @qtags.once
 * @author Konstantin Pribluda
 * @version $Revision: 1.9 $
 */
public interface HibernatePropertyTag
        extends com.thoughtworks.qdox.model.DocletTag, Column, Type, Length, NotNull,
        Unique, Insert, Update, Formula, Index {
}
