/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate.qtags;


/**
 * Declare a named query for class
 * @qtags.location class
 */
public interface HibernateQueryTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * Name of this query
     *
     * @qtags.required
     */
    String getName_();

    /**
     * Query contents
     *
     * @qtags.required
     */
    String getQuery();
}
