/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate;

import java.io.IOException;
import java.net.URL;

import org.generama.MetadataProvider;
import org.xdoclet.QDoxMetadataProvider;

public class BagTestCase extends AbstractHibernateMappingTestCase {

    protected URL getExpected() throws IOException {
        return getResourceRelativeToThisPackage("pojo/BagMapping.hbm.xml");
    }

    protected MetadataProvider createMetadataProvider()
            throws IOException {
        URL reader = getResourceRelativeToThisPackage("pojo/BagMapping.java");
        return new QDoxMetadataProvider(reader);
    }

}
