/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate;

import org.generama.MetadataProvider;
import org.xdoclet.QDoxMetadataProvider;

import java.io.IOException;
import java.net.URL;

public class MapTestCase extends  AbstractHibernateMappingTestCase {
	
    protected URL getExpected() throws IOException {
        return getResourceRelativeToThisPackage("pojo/MapMapping.hbm.xml");
    }

    protected MetadataProvider createMetadataProvider()
            throws IOException {
        URL reader = getResourceRelativeToThisPackage("pojo/MapMapping.java");
        return new QDoxMetadataProvider(reader);
    }

}
