/*
 * Copyright (c) 2003
 * XDoclet Team
 * All rights reserved.
 */
package org.xdoclet.plugin.hibernate;

import java.io.IOException;
import java.net.URL;

import org.generama.MetadataProvider;
import org.xdoclet.QDoxMetadataProvider;

public class RelationTestCase extends AbstractHibernateMappingTestCase {

    protected URL getExpected() throws IOException {
        return getResourceRelativeToThisPackage("pojo/Relation.hbm.xml");
    }

    protected MetadataProvider createMetadataProvider() throws IOException {
        URL reader = this.getResourceRelativeToThisPackage("pojo/Relation.java");
        return new QDoxMetadataProvider(reader);
    }

}
