package org.xdoclet.testapp.pojo;

import java.util.List;

/**
 * @author Laurent Etiemble
 * @version $Revision: 1.2 $
 * @jmx.mbean        name="ThingManagement"
 *                   description="Management of Thing"
 *                   extends="StuffManagementMBean"
 * @jmx.mlet-entry   
 */
public class ThingManagement implements ThingManagementMBean {
    private String string;
    private Integer id;
    private StringBuffer ref;
    private Integer value;

    public ThingManagement() {
        super();
    }

    /**
     * @jmx.managed-attribute
     */
    public String getString() {
        return string;
    }

    /**
     * @jmx.managed-attribute
     */
    public void setString(String newString) {
        this.string = newString;
    }

    public Integer getId() {
        return id;
    }

    /**
     * @jmx.managed-attribute
     */
    public void setId(Integer newId) {
        this.id = newId;
    }

    /**
     * @jmx.managed-attribute
     */
    public Integer getValue() {
        return value;
    }

    public void setValue(Integer newValue) {
        this.value = newValue;
    }

    public StringBuffer getRef() {
        return ref;
    }

    public void setRef(StringBuffer newRef) {
        this.ref = newRef;
    }

    /**
     * @jmx.managed-operation
     */
    public void doSomething(String p1, Integer p2, Class c, List l) {
    }

    /**
     * @jmx.managed-operation
     */
    public String hello(String name) {
        return "Hello" + name + "!";
    }
}
