package org.xdoclet.plugin.portlet.qtags;

import com.thoughtworks.qdox.model.DocletTag;

/**
 * Defines a portlet's locale support. This tag may be used multiple times
 * to define multiple locales.
 */
public interface PortletLocaleTag extends DocletTag {
  /**
   * The locale supported by the portlet.
   */
  String getLocale();
}
