package org.xdoclet.plugin.portlet.qtags;

import com.thoughtworks.qdox.model.DocletTag;

/**
 * Defines locale-specific portlet information.
 */
public interface PortletPortletInfoTag extends DocletTag {
  /**
   * The locale-specific portlet title.
   */
  String getTitle();
  
  /**
   * The locale-specific portlet short title.
   */
  String getShortTitle();
  
  /**
   * The locale-specific portlet keywords.
   */
  String getKeywords();
}
