package org.xdoclet.plugin.portlet.qtags;

import com.thoughtworks.qdox.model.DocletTag;

/**
 * Defines basic portlet information.
 */
public interface PortletPortletTag extends DocletTag {
  
  /**
   * Portlet description
   */
  String getDescription();

  /**
   * Display name
   * 
   * @qtags.required
   */
  String getDisplayName();

  /**
   * Portlet name
   */
  String getName_();
  
  /**
   * Expiration cache (in seconds)
   */
  String getExpirationCache();

}
