package org.xdoclet.plugin.qtags.impl;

import org.generama.Plugin;
import org.generama.VelocityTemplateEngine;
import org.generama.WriterMapper;
import org.xdoclet.QDoxMetadataProvider;
import org.xdoclet.plugin.qtags.QTagUtils;

/**
 * @author Aslak Helles&oslash;y
 * @version $Revision: 1.7 $
 */
public class QTagLibraryPlugin extends Plugin {
    private QTagUtils qTagUtils = new QTagUtils();

    public QTagLibraryPlugin(VelocityTemplateEngine velocityTemplateEngine, QDoxMetadataProvider metadataProvider,
                             WriterMapper writerMapper) {
        super(velocityTemplateEngine, metadataProvider, writerMapper);
        setMultioutput(false);
        setFilereplace("TagLibrary.java");
        setPackagereplace("");

        qTagUtils.registerLibrary(metadataProvider);

    }

    public boolean shouldGenerate(Object metadata) {
        return qTagUtils.shouldGenerate(metadata);
    }

    public QTagUtils getQTagUtils() {
        return qTagUtils;
    }
}
