package org.xdoclet.plugin.@PLUGIN_NAME@;

import org.generama.WriterMapper;
import org.generama.AbstractPlugin;
import org.generama.MetadataProvider;
import org.generama.tests.AbstractXMLGeneratingPluginTestCase;
import org.xdoclet.QDoxMetadataProvider;

import java.io.Reader;
import java.io.FileReader;
import java.io.IOException;

public class @PLUGIN_TEST_CASE_CLASS_NAME@ extends AbstractXMLGeneratingPluginTestCase {
    protected AbstractPlugin createPlugin(MetadataProvider metadataProvider, WriterMapper writerMapper) throws Exception {
        return new @PLUGIN_CLASS_NAME@((QDoxMetadataProvider)metadataProvider, writerMapper);
    }

    protected MetadataProvider createMetadataProvider() throws IOException {
        String basedir = System.getProperty("xdoclet.@PLUGIN_NAME@.home");
        assertNotNull(basedir);

        // If you're not writing an EJB related plugin, you should change
        // this to point to a different test app, like the POJO or WEB one.
        Reader reader = new FileReader(basedir + "/../testapp-ejb/src/main/java/org/xdoclet/testapp/ejb/beans/AccountBean.java");
        return new QDoxMetadataProvider(reader);
    }

    protected Reader getExpected() throws IOException {
        return getResourceRelativeToThisPackage("../../../../META-INF/@PLUGIN_NAME@.xml");
    }

}