package org.xdoclet.plugin.web.qtags;

/**
 * Defines a environment entry with the specified
 * description, name, type and value
 */
public interface WebEnvEntryTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * A description of the env-entry
     *
     */
    String getDescription();

    /**
     * The name of the env-entry
     *
     * @qtags.required
     */
    String getName_();

    /**
     * The type of the env-entry
     *
     * @qtags.required
     */
    String getType();

    /**
     * The value of the env-entry
     *
     */
    String getValue_();

}
