package org.xdoclet.plugin.web.qtags;

/**
 * Defines a resource environment reference with
 * the specified name, type and description
 */
public interface WebResourceEnvRefTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * The name of the resource environment reference
     *
     * @qtags.required
     */
    String getName_();

    /**
     * The type of the referenced resource
     *
     * @qtags.required
     */
    String getType();

    /**
     * An optional description of the resource reference
     *
     */
    String getDescription();

}
