package org.xdoclet.plugin.web.qtags;

/**
 * Defines a security role reference with the
 * name role-name to a security role link named role-link
 */
public interface WebSecurityRoleRefTag extends com.thoughtworks.qdox.model.DocletTag {
    /**
     * The name of the role reference
     *
     * @qtags.required
     */
    String getRoleName();

    /**
     * The name of the role link
     *
     * @qtags.required
     */
    String getRoleLink();

    /**
     * A description for the role ref
     */
    String getDescription();
}
