package org.xdoclet.plugin.web;

import com.thoughtworks.qdox.model.JavaClass;

import java.util.Comparator;

/**
 * 
 *
 *
 * <p><br/><br/>created     Oct 27, 2003 1:08:19 AM</p>
 * @author     gjoseph
 * @author     $Author: moinsmoins $ (last edit)
 * @version    $Revision: 1.2 $
 */
public class ClassAttributeComparatorTestCase extends AbstractCodeReadingTestCase {
    public void testBasic() {
        JavaClass playmobil = builder.getClassByName("org.xdoclet.plugin.web.ClassAttributeComparatorTestCase$Playmobil");
        JavaClass doctor = builder.getClassByName("org.xdoclet.plugin.web.ClassAttributeComparatorTestCase$Doctor");
        JavaClass barbie = builder.getClassByName("org.xdoclet.plugin.web.ClassAttributeComparatorTestCase$Barbie");
        JavaClass babydoll = builder.getClassByName("org.xdoclet.plugin.web.ClassAttributeComparatorTestCase$BabyDoll");
        Comparator c = new ClassAttributeComparator("sometag", "preference");
        assertTrue(c.compare(playmobil, barbie) > 0);
        assertTrue(c.compare(doctor, playmobil) > 0);
        assertTrue(c.compare(barbie, playmobil) < 0);
        assertTrue(c.compare(babydoll, doctor) < 0);
        assertTrue(c.compare(barbie, babydoll) == 0);

    }

    /**
     * @sometag preference=5
     */
    public class Playmobil {
        public void play() {
            System.out.println("Playing the Playmobils.");
        }
    }

    /**
     * @sometag preference=9
     */
    public class Doctor {
        public void play() {
            System.out.println("Let's play the Doctor.");
        }
    }

    /**
     * @sometag preference=2
     */
    public class Barbie {
        public void play() {
            System.out.println("Playing da Barbie.");
        }
    }

    /**
     * @sometag preference=2
     */
    public class BabyDoll {
        public void play() {
            System.out.println("Baby dolls are boring. Plastic ones that is.");
        }
    }
}
