package org.xdoclet.testapp.web;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import java.io.IOException;

/**
 * A second filter class, to test order of the filters.
 * This one has no order parameter, it will be sorted with it's name attribute.
 *
 * @web.filter
 *     display-name="Second Filter"
 *     name="SecondFilter"
 *     order="2"
 *     icon="icon2.gif"
 *
 * @web.filter-mapping
 *     url-pattern="/second"
 *
 * @web.filter-mapping
 *     url-pattern="/other/mapping"
 *
 * @author     <a href="mailto:greg_greg@freestart.hu">Grgory Joseph</a>
 * @author     $Author: rinkrank $ (last edit)
 * @version    $Revision: 1.2 $
 */
public class SecondFilter implements Filter {
    public void destroy() {
    }

    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
    }

    public void init(FilterConfig filterConfig) throws ServletException {
    }


}
